package com.bonus.canteen.core.nutrition.common.vo;

import com.bonus.canteen.core.nutrition.common.po.HealthAnalysisParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("摄入分析VO")
public class HealthDietPagodaVO extends HealthAnalysisParam {
   @ApiModelProperty("盐(钠)<5克")
   private Double salt = 0.0;
   @ApiModelProperty("油(油脂) 25~30克")
   private Double oil = 0.0;
   @ApiModelProperty("奶及奶制品(乳类及制品)300~500g克")
   private Double dairy = 0.0;
   @ApiModelProperty("大豆及坚果类")
   private Double soybeans_nuts = 0.0;
   @ApiModelProperty("动物性食物")
   private Double animal_meat = 0.0;
   @ApiModelProperty("蔬菜类")
   private Double vegetables = 0.0;
   @ApiModelProperty("水果类")
   private Double fruits = 0.0;
   @ApiModelProperty("谷类")
   private Double whole_grains_beans = 0.0;
   @ApiModelProperty("薯类")
   private Double tubers = 0.0;

   public HealthDietPagodaVO() {
   }

   public Double getSalt() {
      return this.salt;
   }

   public Double getOil() {
      return this.oil;
   }

   public Double getDairy() {
      return this.dairy;
   }

   public Double getSoybeans_nuts() {
      return this.soybeans_nuts;
   }

   public Double getAnimal_meat() {
      return this.animal_meat;
   }

   public Double getVegetables() {
      return this.vegetables;
   }

   public Double getFruits() {
      return this.fruits;
   }

   public Double getWhole_grains_beans() {
      return this.whole_grains_beans;
   }

   public Double getTubers() {
      return this.tubers;
   }

   public void setSalt(final Double salt) {
      this.salt = salt;
   }

   public void setOil(final Double oil) {
      this.oil = oil;
   }

   public void setDairy(final Double dairy) {
      this.dairy = dairy;
   }

   public void setSoybeans_nuts(final Double soybeans_nuts) {
      this.soybeans_nuts = soybeans_nuts;
   }

   public void setAnimal_meat(final Double animal_meat) {
      this.animal_meat = animal_meat;
   }

   public void setVegetables(final Double vegetables) {
      this.vegetables = vegetables;
   }

   public void setFruits(final Double fruits) {
      this.fruits = fruits;
   }

   public void setWhole_grains_beans(final Double whole_grains_beans) {
      this.whole_grains_beans = whole_grains_beans;
   }

   public void setTubers(final Double tubers) {
      this.tubers = tubers;
   }

   public HealthDietPagodaVO(final Double salt, final Double oil, final Double dairy, final Double soybeans_nuts, final Double animal_meat, final Double vegetables, final Double fruits, final Double whole_grains_beans, final Double tubers) {
      this.salt = salt;
      this.oil = oil;
      this.dairy = dairy;
      this.soybeans_nuts = soybeans_nuts;
      this.animal_meat = animal_meat;
      this.vegetables = vegetables;
      this.fruits = fruits;
      this.whole_grains_beans = whole_grains_beans;
      this.tubers = tubers;
   }
}
